Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface ReducedDerivationControl

- All Superinterfaces:
    `DerivationControl`, `XmlAnySimpleType`, `XmlNMTOKEN`, `XmlNormalizedString`, `XmlObject`, `XmlString`, `XmlToken`, `XmlTokenSource`
  All Known Implementing Classes:
    `ReducedDerivationControlImpl`

      public interface ReducedDerivationControl
      extends DerivationControl

  An XML reducedDerivationControl(@http://www.w3.org/2001/XMLSchema). This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xsdschema.ReducedDerivationControl.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.DerivationControl

      `DerivationControl.Enum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DerivationControl.Enum` | `EXTENSION` |
    `static SimpleTypeFactory<ReducedDerivationControl>` | `Factory` |
    `static int` | `INT_EXTENSION` |
    `static int` | `INT_RESTRICTION` |
    `static DerivationControl.Enum` | `RESTRICTION` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.DerivationControl

      `INT_LIST, INT_SUBSTITUTION, INT_UNION, LIST, SUBSTITUTION, UNION`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.DerivationControl

      `getEnumValue, setEnumValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final SimpleTypeFactory<ReducedDerivationControl> Factory

    - #### type

          static final SchemaType type

    - #### EXTENSION

          static final DerivationControl.Enum EXTENSION

    - #### RESTRICTION

          static final DerivationControl.Enum RESTRICTION

    - #### INT_EXTENSION

          static final int INT_EXTENSION

      See Also:
        Constant Field Values

    - #### INT_RESTRICTION

          static final int INT_RESTRICTION

      See Also:
        Constant Field Values